Bug 202236 - Review Request: perl-POE-Component-SSLify
Review Request: perl-POE-Component-SSLify
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
http://search.cpan.org/dist/POE-Compo...
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-08-11 14:29 EDT by Chris Weyl
Modified: 2013-05-10 06:56 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-12 13:50:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Chris Weyl 2006-08-11 14:29:55 EDT
SRPM URL: http://home.comcast.net/~ckweyl/perl-POE-Component-SSLify-0.04-1.fc5.src.rpm
SPEC URL: http://home.comcast.net/~ckweyl/perl-POE-Component-SSLify.spec

Description:
This component represents the standard way to do SSL in POE.
Comment 1 Jason Tibbitts 2006-08-11 22:44:46 EDT
Not much to say; builds fine and rpmlint is quiet.

* source files match upstream:
   8c3a9c5d538453105e20b2a3a0fce183  POE-Component-SSLify-0.04.tar.gz
* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* dist tag is present.
* build root is correct.
* license field matches the actual license.
* license is open source-compatible.  License text not included upstream.
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (development, x86_64).
* rpmlint is silent.
* final provides and requires are sane:
   perl(POE::Component::SSLify) = 0.04
   perl(POE::Component::SSLify::ClientHandle) = 0.02
   perl(POE::Component::SSLify::ServerHandle) = 0.02
   perl-POE-Component-SSLify = 0.04-1.fc6
  =
   perl(:MODULE_COMPAT_5.8.8)
   perl(Exporter)
   perl(Net::SSLeay)
   perl(POE)
   perl(POSIX)
   perl(Symbol)
   perl(strict)
   perl(vars)
   perl(warnings)
* %check is present and all tests (test?) pass:
   All tests successful.
   Files=1, Tests=1,  0 wallclock secs ( 0.03 cusr +  0.02 csys =  0.05 CPU)
* package is not relocatable.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no libtool .la droppings.

APPROVED
Comment 2 Chris Weyl 2006-08-12 13:50:08 EDT
I like it when there's not much to say :)

+Import to CVS
+Add to owners.list
+Bump release, build for devel
+devel build succeeds
+Request branching (FC-5)
+Close bug

Thanks for the review! :)
Comment 3 Andrea Veri 2013-05-09 14:52:13 EDT
Package Change Request
======================
Package Name: perl-POE-Component-SSLify
New Branches: el6
Owners: averi psabata
InitialCC: perl-sig
Comment 4 Gwyn Ciesla 2013-05-10 06:56:10 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.